this.primevue = this.primevue || {};
this.primevue.blockui = this.primevue.blockui || {};
this.primevue.blockui.style = (function (BaseStyle) {
    'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    var BaseStyle__default = /*#__PURE__*/_interopDefaultLegacy(BaseStyle);

    var theme = function theme(_ref) {
      var dt = _ref.dt;
      return "\n.p-blockui {\n    position: relative;\n}\n\n.p-blockui-mask {\n    border-radius: ".concat(dt('rounded.base'), ";\n}\n\n.p-blockui-mask.p-component-overlay {\n    position: absolute;\n}\n\n.p-blockui-mask-document.p-component-overlay {\n    position: fixed;\n}\n");
    };
    var classes = {
      root: 'p-blockui'
    };
    var BlockUIStyle = BaseStyle__default["default"].extend({
      name: 'blockui',
      theme: theme,
      classes: classes
    });

    return BlockUIStyle;

})(primevue.base.style);
